Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum MessagesLevelEnum

    java.lang.Object
      java.lang.Enum<MessagesLevelEnum>
          org.richfaces.component.MessagesLevelEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessagesLevelEnum>

    public enum MessagesLevelEnum

extends java.lang.Enum<MessagesLevelEnum>

Author:
  Andrey Markhel This class is enumeration of all possible `FacesMessages.SEVERITY` levels of errors

Enum Constant Summary
`ERROR`
`FATAL`
`INFO`
`PASSED`
`WARN`

Method Summary
`static MessagesLevelEnum[]` | `getHigherLevels(java.lang.String level)` This method return all levels of errors to be rendered(all with severity higher then specified min level and also min level)
`static MessagesLevelEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessagesLevelEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PASSED

    public static final MessagesLevelEnum PASSED

### INFO

    public static final MessagesLevelEnum INFO

### WARN

    public static final MessagesLevelEnum WARN

### FATAL

    public static final MessagesLevelEnum FATAL

### ERROR

    public static final MessagesLevelEnum ERROR

Method Detail

### values

    public static final MessagesLevelEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessagesLevelEnum c : MessagesLevelEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessagesLevelEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getHigherLevels

    public static MessagesLevelEnum[] getHigherLevels(java.lang.String level)

  This method return all levels of errors to be rendered(all with severity higher then specified min level and also min level)

  Parameters:
    `level` - - string representation of minimum level of error should be rendered
  Returns:
    all levels of errors to be rendered(all with severity higher then specified min level and also min level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.